/* 
* Rootfly:  A program for analyzing and measuring roots. 
* Copyright (c) 2005 Clemson University.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
* 
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#if !defined(AFX_COPYSESSION_H__B6E312FD_1321_4B8F_823D_48E9C5D54618__INCLUDED_)
#define AFX_COPYSESSION_H__B6E312FD_1321_4B8F_823D_48E9C5D54618__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CopySession.h : header file
//

namespace OldData
{


  /////////////////////////////////////////////////////////////////////////////
  // CCopySession dialog

  class CCopySession : public CDialog
  {
  // Construction
  public:
	  CCopySession(int cur, int max, CWnd* pParent = NULL);   // standard constructor
     int GetPreviousSession(void);
     int GetCurrentSession(void);

  // Dialog Data
	  //{{AFX_DATA(CCopySession)
	  enum { IDD = IDD_COPY_SESSION };
	  CEdit	m_edit_prev;
	  CEdit	m_edit_cur;
	  //}}AFX_DATA


  // Overrides
	  // ClassWizard generated virtual function overrides
	  //{{AFX_VIRTUAL(CCopySession)
	  protected:
	  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	  //}}AFX_VIRTUAL

  // Implementation
  protected:
     int m_prev_session;
     int m_cur_session;
     int m_max;

	  // Generated message map functions
	  //{{AFX_MSG(CCopySession)
	  virtual BOOL OnInitDialog();
	  virtual void OnOK();
	  //}}AFX_MSG
	  DECLARE_MESSAGE_MAP()
  };

}//namespace OldData


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COPYSESSION_H__B6E312FD_1321_4B8F_823D_48E9C5D54618__INCLUDED_)
